##### serial_port::serial_port (3 of 5 overloads)

Construct and open a `serial_port`.

    serial_port(
        asio::io_context & io_context,
        const std::string & device);

This constructor creates and opens a serial port for the specified device name.

###### Parameters

io_context

  The `io_context` object that the serial port will use to dispatch handlers for any asynchronous operations performed on the port.

device

  The platform-specific device name for this serial port.